org.apache.ignite.spi.communication.tcp

## Class TcpCommunicationSpi.HandshakeMessage2

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.HandshakeMessage
  - - org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.HandshakeMessage2

All Implemented Interfaces:
  Serializable, Message

Enclosing class:
  TcpCommunicationSpi

    public static class TcpCommunicationSpi.HandshakeMessage2
    extends TcpCommunicationSpi.HandshakeMessage

Updated handshake message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.HandshakeMessage

`MESSAGE_FULL_SIZE`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`TcpCommunicationSpi.HandshakeMessage2()`

### Method Summary

Methods
`int` `connectionIndex()`
`short` `directType()` Gets message type.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.HandshakeMessage

`connectCount, fieldsCount, nodeId, onAckReceived, received`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpCommunicationSpi.HandshakeMessage2

    public TcpCommunicationSpi.HandshakeMessage2()

### Method Detail

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `TcpCommunicationSpi.HandshakeMessage`
Returns:
  Message type.

#### connectionIndex

    public int connectionIndex()

Overrides:
  `connectionIndex` in class `TcpCommunicationSpi.HandshakeMessage`
Returns:
  Connection index.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `TcpCommunicationSpi.HandshakeMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `TcpCommunicationSpi.HandshakeMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpCommunicationSpi.HandshakeMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017